DatatypeDocumentFactory (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.datatype
Class DatatypeDocumentFactory

    java.lang.Object
      org.dom4j.DocumentFactory
          org.dom4j.datatype.DatatypeDocumentFactory

All Implemented Interfaces:
  Serializable

public class DatatypeDocumentFactory
extends DocumentFactory

`DatatypeDocumentFactory` is a factory of XML objects which support the XML Schema Data Types specification.

Version:
  $Revision: 1.9 $
Author:
  James Strachan
See Also:
  Serialized Form

Field Summary
`protected static DatatypeDocumentFactory` | `singleton` The Singleton instance

Fields inherited from class org.dom4j.DocumentFactory
`cache`

Constructor Summary
`DatatypeDocumentFactory()`

Method Summary
`Attribute` | `createAttribute(Element owner, QName qname, String value)`
`DatatypeElementFactory` | `getElementFactory(QName elementQName)` Registers the given `DatatypeElementFactory` for the given <element> schema element
`static DocumentFactory` | `getInstance()` Access to the singleton instance of this factory.
`void` | `loadSchema(Document schemaDocument)` Loads the given XML Schema document into this factory so schema-aware Document, Elements and Attributes will be created by this factory.
`void` | `loadSchema(Document schemaDocument, Namespace targetNamespace)`
`protected void` | `loadSchema(Document document, String schemaInstanceURI)`
`protected void` | `loadSchema(Document document, String schemaInstanceURI, Namespace namespace)`

Methods inherited from class org.dom4j.DocumentFactory
`createAttribute, createCDATA, createComment, createDocType, createDocument, createDocument, createDocument, createElement, createElement, createElement, createEntity, createNamespace, createPattern, createProcessingInstruction, createProcessingInstruction, createQName, createQName, createQName, createQName, createQNameCache, createSingleton, createText, createXPath, createXPath, createXPathFilter, createXPathFilter, getQNames, getXPathNamespaceURIs, init, intern, setXPathNamespaceURIs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### singleton

    protected static transient DatatypeDocumentFactory singleton

  The Singleton instance

Constructor Detail

### DatatypeDocumentFactory

    public DatatypeDocumentFactory()

Method Detail

### getInstance

    public static DocumentFactory getInstance()

  Access to the singleton instance of this factory.

  Returns:
    the default singleon instance

### loadSchema

    public void loadSchema(Document schemaDocument)

  Loads the given XML Schema document into this factory so schema-aware Document, Elements and Attributes will be created by this factory.

  Parameters:
    `schemaDocument` - is an XML Schema Document instance.

### loadSchema

    public void loadSchema(Document schemaDocument,
                           Namespace targetNamespace)

### getElementFactory

    public DatatypeElementFactory getElementFactory(QName elementQName)

  Registers the given `DatatypeElementFactory` for the given <element> schema element

  Parameters:
    `elementQName` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### createAttribute

    public Attribute createAttribute(Element owner,
                                     QName qname,
                                     String value)

  Overrides:
    `createAttribute` in class `DocumentFactory`

### loadSchema

    protected void loadSchema(Document document,
                              String schemaInstanceURI)

### loadSchema

    protected void loadSchema(Document document,
                              String schemaInstanceURI,
                              Namespace namespace)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.